;Kent Cooper forums.autodesk.com

(vl-load-com)
(defun C:PLUnfold (/ ss pl lengths); = Stretch Polyline(s) Straight
  (prompt "\nTo Stretch Polylines out Straight,")
  (if (setq ss (ssget '((0 . "*POLYLINE"))))
    (progn ; 'then'
      (repeat (setq n (sslength ss))
        (setq pl (ssname ss (setq n (1- n))))
        (repeat (setq par (fix (vlax-curve-getEndParam pl)))
          (setq lengths ; list of segment lengths
            (cons
              (- ; length of segment ending at parameter
                (vlax-curve-getDistAtParam pl par)
                (vlax-curve-getDistAtParam pl (setq par (1- par)))
              ); -
              lengths
            ); cons
          ); setq [lengths]
        ); repeat
        (command "_.pline" "_none" (vlax-curve-getStartPoint pl))
        (repeat (length lengths); feed segment lengths out to Pline
          (command "_none" (polar (getvar 'lastpoint) 0 (car lengths)))
          (setq lengths (cdr lengths))
        ); repeat
        (command "")
      ); repeat
    ); progn
  ); if
); defun